Rygel.TranscodeManager – librygel-server Reference Manual

# TranscodeManager

## Object Hierarchy:

## Description:

public abstract class TranscodeManager : `Object`

Responsible for management of all transcoders: # Gets the appropriate transcoder given a transcoding target. # Provide all possible transcoding resources for items.

Namespace: Rygel
Package: librygel-server

## Content:

### Creation methods:

- public TranscodeManager ()

### Methods:

- public abstract `string` create_uri_for_item (MediaItem item, `int` thumbnail_index, `int` subtitle_index, `string`? transcode_target, `string`? playlist_target)
- public void add_resources (`DIDLLiteItem` didl_item, MediaItem item) throws `Error`
- public Transcoder get_transcoder (`string` target) throws `Error`

### Inherited Members:

All known members inherited from class GLib.Object

- @new
- newv
- new_valist
- get_type
- get_class
- @ref
- unref
- ref_sink
- weak_ref
- weak_unref
- add_weak_pointer
- remove_weak_pointer

- @get
- @set
- get_property
- set_property
- get_data
- set_data
- set_data_full
- steal_data
- get_qdata
- set_qdata
- set_qdata_full
- steal_qdata

- freeze_notify
- thaw_notify
- dispose
- constructed
- notify_property
- connect
- disconnect
- add_toggle_ref
- remove_toggle_ref
- bind_property
- notify
- ref_count